Subject: [OSPF] Reg. use of checksum for checking newer LSA instance

From: sinbad <[email-masked]>
Date: Tue, 16 Oct 2007 12:02:46 +0530

In finding the newer instance of LSA, if the sequence number is same,
checksum of the two LSAs are compared and the LSA having higher checksum is
considered more recent. Can someone explain how this can be always true?

thanks

sinbad

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: zhang kui <[email-masked]>
Date: Tue, 16 Oct 2007 15:09:37 +0800

Hi sinbad,

It is not necessarily true. Maybe the reason for doing this is to ensure all
the routers in the network behave the same way in such conditions. When it’
s false, the originator will correct it.

zhangkui

  _____  

发件人: sinbad [mailto:[email-masked]] 
发送时间: 2007年10月16日 14:33
收件人: [email-masked]
主题: [OSPF] Reg. use of checksum for checking newer LSA instance

thanks

sinbad

---

From: Dave Katz <[email-masked]>
Date: Tue, 16 Oct 2007 01:18:26 -0600

On Oct 16, 2007, at 1:09 AM, zhang kui wrote:

> Hi sinbad,
>
> It is not necessarily true. Maybe the reason for doing this is to  
> ensure all the routers in the network behave the same way in such  
> conditions. When it’s false, the originator will correct it.

Yep, that's the reason.  You want a deterministic function, lest the  
network tie itself in knots.

--Dave

---

From: Erblichs <[email-masked]>
Date: Tue, 16 Oct 2007 12:14:31 -0700

Dave Katz wrote:
> > conditions. When its false, the originator will correct it.
> >
> 

Let us remember that normally a LSA will be refreshed (or it will be a
DNA LSA), but that would not correct the instability. Thus, an area of
say
routers of type A COULD artifically partition itself from routers
of type B. Hopefully, the LSA(s) would be a second or third unequal
unused contributor(s) to the SPF calc, so their is a possibility that no 
routing instability would be seen. Yes, the resulting rexmits would also
consume cycles.

Mitchell Erblich